<template>
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-12">
                    <h1 class="m-0 mb-4">Video Link</h1>
                </div>

                <div class="col-sm-12">
                    <video ref="videoPlayer" class="video-js"></video>
                </div>

                <div class="col-sm-12 mt-3">
                    <label for="formFile" class="form-label">Video Links</label>
                    <input class="form-control" type="file" id="formFileMultiple" @change="uploadVideo" accept="video/*">
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import axios from 'axios';
import videojs from 'video.js';
import 'video.js/dist/video-js.css';

export default {
    components: {
        videojs,
    },
    data() {
        return {
        videoOptions: {
            autoplay: true,
            controls: true,
            sources: [
                {
                    src:
                    '/video/video.mp4',
                    type: 'video/mp4'
                }
            ]
        },
        video: '',
        player: null
        };
    },
    mounted() {
        this.getLatestVideo();
    },
    methods: {
        uploadVideo(e) {
            this.video = e.target.files[0];
            const formData = new FormData();
            console.log(this.videoOptions)
            formData.append('video', this.video);

            axios.post('/api/upload/', formData)
            .then((response) => {
                
                this.video = response.data

                this.player.src({
                    type: 'video/mp4',
                    src: response.data
                })
                
            })
        },
        getLatestVideo() {
            axios.post('/api/latestVideo')
            .then((response) => {
                this.videoOptions.sources[0].src = response.data

                this.player = videojs(this.$refs.videoPlayer, this.videoOptions, () => {
                    this.player.log('onPlayerReady', this);
                });

                this.player.play()
            })
        }
    }
};
</script>

<style scoped>
.video-js {
    width: 100%;
    height: 50vh;
}
</style>
